commit: d622dba46ac4960ffc77f0af939b8e12b21d05f0
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 23 14:16:33 2016 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Jun 23 14:16:40 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d622dba4
dev-ml/pxp: drop backward compat dep on camlp4
Package-Manager: portage-2.3.0_rc1
dev-ml/pxp/pxp-1.2.8-r1.ebuild | 55 ++++++++++++++++++++++++++++++++++++++++++
1 file changed, 55 insertions(+)
diff --git a/dev-ml/pxp/pxp-1.2.8-r1.ebuild b/dev-ml/pxp/pxp-1.2.8-r1.ebuild
new file mode 100644
index 0000000..d172cf5
--- /dev/null
+++ b/dev-ml/pxp/pxp-1.2.8-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit findlib eutils
+
+MY_P=${P/_beta/test}
+
+DESCRIPTION="validating XML parser library for O'Caml"
+HOMEPAGE="http://projects.camlcity.org/projects/pxp.html"
+SRC_URI="http://download.camlcity.org/download/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+SLOT="0/${PV}"
+DEPEND=">=dev-ml/pcre-ocaml-4.31:=
+ >=dev-ml/ulex-0.5:=
+ >=dev-ml/ocamlnet-4:=
+ >=dev-lang/ocaml-3.10.2:=[ocamlopt?]
+ dev-ml/camlp4:="
+RDEPEND="${DEPEND}"
+
+IUSE="examples +ocamlopt"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ epatch "${FILESDIR}/oc43.patch"
+}
+
+src_configure() {
+ #the included configure does not support many standard switches and is
quite picky
+ ./configure || die "configure failed"
+}
+
+src_compile() {
+ emake -j1 all
+ if use ocamlopt; then
+ emake -j1 opt
+ fi
+}
+
+src_install() {
+ findlib_src_install
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ cd doc
+ dodoc ABOUT-FINDLIB README SPEC design.txt
+}